For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETGet current user info
Dashboard
LogoLogo
Runtype APIAuthentication

Get current user info

GET
/v1/auth/me
GET
/v1/auth/me
$curl https://api.runtype.com/v1/auth/me \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "hasOrganization": true,
3 "userId": "user_abcdef1234567890",
4 "orgId": "org_9f8b7c6d5e4a3b2c1d0e",
5 "orgRole": "admin",
6 "orgSlug": "runtype-inc",
7 "sessionId": "sess_1234567890abcdef"
8}
Get the current user and organization info from the Clerk session.
Was this page helpful?
Previous

Cancel a batch execution

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Current user and organization info
hasOrganizationboolean
userIdstring
orgIdstring or null
orgRolestring or null
orgSlugstring or null
sessionIdstring or null

Errors

401
Unauthorized Error